package com.ruoyi.school.paper.domain.vo;

import com.ruoyi.school.paper.domain.DbQuestionBankAnswerTestPaper;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 我的收藏视图
 */
@Data
public class MyCollectListVo implements Serializable {
    /**
     * 题目编号
     */
    private Long questionBankId;

    /**
     * 题目
     */
    private String topic;

    /**
     * 正确答案
     */
    private String answer;

    /**
     * 正确答案图片
     */
    private String answerPic;

    private Boolean collectFlag = Boolean.TRUE;

    /**
     * 习题种类：1填空，2选择，3解答
     */
    private Long species;

    /**
     * 用户编号
     */
    private Long userId;
    /**
     * 选项
     */
    private List<DbQuestionBankAnswerTestPaper> options;
}
